# Generated by Django 5.1.5 on 2025-01-17 15:18

import django.db.models.deletion
import oauth2_provider.models
from django.conf import settings
from django.db import migrations, models
from oauth2_provider.settings import oauth2_settings

def forwards_func(apps, schema_editor):
    """
    Forward migration touches every "old" accesstoken.token which will cause the checksum to be computed.
    """
    AccessToken = apps.get_model(oauth2_settings.ACCESS_TOKEN_MODEL)
    accesstokens = AccessToken._default_manager.iterator()
    for accesstoken in accesstokens:
        accesstoken.save(update_fields=['token_checksum'])

class Migration(migrations.Migration):

    dependencies = [
        ('core', '0069_add_calendar_alarm'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='oauthaccesstoken',
            name='token_checksum',
            field=oauth2_provider.models.TokenChecksumField(default='', max_length=64, blank=True),
            preserve_default=False,
        ),
        migrations.RunPython(forwards_func, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='oauthaccesstoken',
            name='token_checksum',
            field=oauth2_provider.models.TokenChecksumField(blank=False, max_length=64,  db_index=True, unique=True),
        ),
        migrations.AddField(
            model_name='oauthrefreshtoken',
            name='token_family',
            field=models.UUIDField(blank=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='oauthaccesstoken',
            name='token',
            field=models.TextField(),
        ),
    ]
